%define tarname	aurora-gtk-engine
%define name	gtk-aurora-engine
%define version	1.5.1
%define release %mkrel 2

%define libname %mklibname %{name}

%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

Summary:	Aurora engine for Gtk 2.x
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.gz
Source2:	Aurora.tar.bz2
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://www.gnome-look.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel >= 2.12
Obsoletes:	gnomemoreartwork-aurora
Obsoletes:	%name < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
The goal of this theme is to provide a complete and consistent look
for Gtk. The theme aims to be very flexible in color choice, but
provide few other options otherwise. The theme includes some features
that do not seem to be available in other Gtk engines; it also allows
the theming of Gnome panel widgets.

%prep
%setup -q -n aurora-1.5

%build
%configure2_5x --enable-animation

%make

%install
rm -rf %{buildroot}

%makeinstall
mkdir -p %{buildroot}%{_datadir}/themes
tar jfx %SOURCE2 -C %{buildroot}%{_datadir}/themes

rm -rf %{buildroot}%{_libdir}/gtk-2.0/2.10.0/engines/libaurora.la


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS
%{_datadir}/themes/*
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.*


%changelog
* Sun Apr 17 2011 Texstar <texstar at gmail.com> 1.5-2pclos2011
- update gtkrc file to fix thunar right click menu issue
- GtkMenu::vertical-padding = 1

* Tue Apr 28 2009 pcserver <pcserver@hushmail.com> 1.5-1pclso2009
- Update to 1.5.


